---
title: "2026 50-State Payroll Tax & Income Withholding Directory | StatePayRules"
source_url: "https://statepayrules.com/payroll-taxes/"
canonical_url: "https://statepayrules.com/payroll-taxes/"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Authoritative 50-state statutory directory of state income tax withholding rates, zero-income-tax state rules, SUTA unemployment tax caps, and FICA withholdings."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://statepayrules.com/payroll-taxes/](https://statepayrules.com/payroll-taxes/)
>
> *Authoritative 50-state statutory directory of state income tax withholding rates, zero-income-tax state rules, SUTA unemployment tax caps, and FICA withholdings.*

### Managing payroll or shift workers in California?

Avoid Department of Labor non-compliance fines. Automate state-specific overtime, double-time rules, tip credits, and statutory tax withholdings with **Gusto Payroll Automation**.

## 50-State Income Tax & Payroll Withholding Guide

Filter by state or view zero-tax state exemptions.

| State | State Income Tax Bracket | Tax Structure | Min. Statutory Wage | Action |
| :--- | :--- | :--- | :--- | :--- |
| AL Alabama | Graduated State Brackets | Progressive / Flat Tax | $7.25/hr | [View AL Tax →](https://statepayrules.com/payroll-taxes/alabama) |
| AK Alaska | 0.00% (No State Income Tax) | Zero Tax Jurisdiction | $11.91/hr | [View AK Tax →](https://statepayrules.com/payroll-taxes/alaska) |
| AZ Arizona | Graduated State Brackets | Progressive / Flat Tax | $14.70/hr | [View AZ Tax →](https://statepayrules.com/payroll-taxes/arizona) |
| AR Arkansas | Graduated State Brackets | Progressive / Flat Tax | $11.00/hr | [View AR Tax →](https://statepayrules.com/payroll-taxes/arkansas) |
| CA California | Graduated State Brackets | Progressive / Flat Tax | $16.50/hr | [View CA Tax →](https://statepayrules.com/payroll-taxes/california) |
| CO Colorado | Graduated State Brackets | Progressive / Flat Tax | $14.81/hr | [View CO Tax →](https://statepayrules.com/payroll-taxes/colorado) |
| CT Connecticut | Graduated State Brackets | Progressive / Flat Tax | $16.35/hr | [View CT Tax →](https://statepayrules.com/payroll-taxes/connecticut) |
| DE Delaware | Graduated State Brackets | Progressive / Flat Tax | $15.00/hr | [View DE Tax →](https://statepayrules.com/payroll-taxes/delaware) |
| DC District of Columbia | Graduated State Brackets | Progressive / Flat Tax | $17.50/hr | [View DC Tax →](https://statepayrules.com/payroll-taxes/district-of-columbia) |
| FL Florida | 0.00% (No State Income Tax) | Zero Tax Jurisdiction | $14.00/hr | [View FL Tax →](https://statepayrules.com/payroll-taxes/florida) |
| GA Georgia | Graduated State Brackets | Progressive / Flat Tax | $7.25/hr | [View GA Tax →](https://statepayrules.com/payroll-taxes/georgia) |
| HI Hawaii | Graduated State Brackets | Progressive / Flat Tax | $14.00/hr | [View HI Tax →](https://statepayrules.com/payroll-taxes/hawaii) |
| ID Idaho | Graduated State Brackets | Progressive / Flat Tax | $7.25/hr | [View ID Tax →](https://statepayrules.com/payroll-taxes/idaho) |
| IL Illinois | Graduated State Brackets | Progressive / Flat Tax | $15.00/hr | [View IL Tax →](https://statepayrules.com/payroll-taxes/illinois) |
| IN Indiana | Graduated State Brackets | Progressive / Flat Tax | $7.25/hr | [View IN Tax →](https://statepayrules.com/payroll-taxes/indiana) |
| IA Iowa | Graduated State Brackets | Progressive / Flat Tax | $7.25/hr | [View IA Tax →](https://statepayrules.com/payroll-taxes/iowa) |
| KS Kansas | Graduated State Brackets | Progressive / Flat Tax | $7.25/hr | [View KS Tax →](https://statepayrules.com/payroll-taxes/kansas) |
| KY Kentucky | Graduated State Brackets | Progressive / Flat Tax | $7.25/hr | [View KY Tax →](https://statepayrules.com/payroll-taxes/kentucky) |
| LA Louisiana | Graduated State Brackets | Progressive / Flat Tax | $7.25/hr | [View LA Tax →](https://statepayrules.com/payroll-taxes/louisiana) |
| ME Maine | Graduated State Brackets | Progressive / Flat Tax | $14.65/hr | [View ME Tax →](https://statepayrules.com/payroll-taxes/maine) |
| MD Maryland | Graduated State Brackets | Progressive / Flat Tax | $15.00/hr | [View MD Tax →](https://statepayrules.com/payroll-taxes/maryland) |
| MA Massachusetts | Graduated State Brackets | Progressive / Flat Tax | $15.00/hr | [View MA Tax →](https://statepayrules.com/payroll-taxes/massachusetts) |
| MI Michigan | Graduated State Brackets | Progressive / Flat Tax | $12.48/hr | [View MI Tax →](https://statepayrules.com/payroll-taxes/michigan) |
| MN Minnesota | Graduated State Brackets | Progressive / Flat Tax | $11.13/hr | [View MN Tax →](https://statepayrules.com/payroll-taxes/minnesota) |
| MS Mississippi | Graduated State Brackets | Progressive / Flat Tax | $7.25/hr | [View MS Tax →](https://statepayrules.com/payroll-taxes/mississippi) |
| MO Missouri | Graduated State Brackets | Progressive / Flat Tax | $13.75/hr | [View MO Tax →](https://statepayrules.com/payroll-taxes/missouri) |
| MT Montana | Graduated State Brackets | Progressive / Flat Tax | $10.55/hr | [View MT Tax →](https://statepayrules.com/payroll-taxes/montana) |
| NE Nebraska | Graduated State Brackets | Progressive / Flat Tax | $13.50/hr | [View NE Tax →](https://statepayrules.com/payroll-taxes/nebraska) |
| NV Nevada | 0.00% (No State Income Tax) | Zero Tax Jurisdiction | $12.00/hr | [View NV Tax →](https://statepayrules.com/payroll-taxes/nevada) |
| NH New Hampshire | 0.00% (No State Income Tax) | Zero Tax Jurisdiction | $7.25/hr | [View NH Tax →](https://statepayrules.com/payroll-taxes/new-hampshire) |
| NJ New Jersey | Graduated State Brackets | Progressive / Flat Tax | $15.49/hr | [View NJ Tax →](https://statepayrules.com/payroll-taxes/new-jersey) |
| NM New Mexico | Graduated State Brackets | Progressive / Flat Tax | $12.00/hr | [View NM Tax →](https://statepayrules.com/payroll-taxes/new-mexico) |
| NY New York | Graduated State Brackets | Progressive / Flat Tax | $16.50/hr | [View NY Tax →](https://statepayrules.com/payroll-taxes/new-york) |
| NC North Carolina | Graduated State Brackets | Progressive / Flat Tax | $7.25/hr | [View NC Tax →](https://statepayrules.com/payroll-taxes/north-carolina) |
| ND North Dakota | Graduated State Brackets | Progressive / Flat Tax | $7.25/hr | [View ND Tax →](https://statepayrules.com/payroll-taxes/north-dakota) |
| OH Ohio | Graduated State Brackets | Progressive / Flat Tax | $10.70/hr | [View OH Tax →](https://statepayrules.com/payroll-taxes/ohio) |
| OK Oklahoma | Graduated State Brackets | Progressive / Flat Tax | $7.25/hr | [View OK Tax →](https://statepayrules.com/payroll-taxes/oklahoma) |
| OR Oregon | Graduated State Brackets | Progressive / Flat Tax | $14.70/hr | [View OR Tax →](https://statepayrules.com/payroll-taxes/oregon) |
| PA Pennsylvania | Graduated State Brackets | Progressive / Flat Tax | $7.25/hr | [View PA Tax →](https://statepayrules.com/payroll-taxes/pennsylvania) |
| RI Rhode Island | Graduated State Brackets | Progressive / Flat Tax | $15.00/hr | [View RI Tax →](https://statepayrules.com/payroll-taxes/rhode-island) |
| SC South Carolina | Graduated State Brackets | Progressive / Flat Tax | $7.25/hr | [View SC Tax →](https://statepayrules.com/payroll-taxes/south-carolina) |
| SD South Dakota | 0.00% (No State Income Tax) | Zero Tax Jurisdiction | $11.50/hr | [View SD Tax →](https://statepayrules.com/payroll-taxes/south-dakota) |
| TN Tennessee | 0.00% (No State Income Tax) | Zero Tax Jurisdiction | $7.25/hr | [View TN Tax →](https://statepayrules.com/payroll-taxes/tennessee) |
| TX Texas | 0.00% (No State Income Tax) | Zero Tax Jurisdiction | $7.25/hr | [View TX Tax →](https://statepayrules.com/payroll-taxes/texas) |
| UT Utah | Graduated State Brackets | Progressive / Flat Tax | $7.25/hr | [View UT Tax →](https://statepayrules.com/payroll-taxes/utah) |
| VT Vermont | Graduated State Brackets | Progressive / Flat Tax | $14.01/hr | [View VT Tax →](https://statepayrules.com/payroll-taxes/vermont) |
| VA Virginia | Graduated State Brackets | Progressive / Flat Tax | $12.41/hr | [View VA Tax →](https://statepayrules.com/payroll-taxes/virginia) |
| WA Washington | 0.00% (No State Income Tax) | Zero Tax Jurisdiction | $16.66/hr | [View WA Tax →](https://statepayrules.com/payroll-taxes/washington) |
| WV West Virginia | Graduated State Brackets | Progressive / Flat Tax | $8.75/hr | [View WV Tax →](https://statepayrules.com/payroll-taxes/west-virginia) |
| WI Wisconsin | Graduated State Brackets | Progressive / Flat Tax | $7.25/hr | [View WI Tax →](https://statepayrules.com/payroll-taxes/wisconsin) |
| WY Wyoming | 0.00% (No State Income Tax) | Zero Tax Jurisdiction | $7.25/hr | [View WY Tax →](https://statepayrules.com/payroll-taxes/wyoming) |

### Managing payroll or shift workers in United States?

### Help United States Coworkers Audit Unpaid Wage Violations

Over $3 Billion in statutory overtime, daily premiums, and meal break penalty pay goes uncollected every year. Share this free statutory utility with your team or shift coworkers.

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://statepayrules.com/payroll-taxes/](https://statepayrules.com/payroll-taxes/).
